OpenTTD Source: Data Fields - Functions

OpenTTD Source 15.3

Here is a list of all documented functions with links to the struct/union documentation for each field:

### - i -

- IConsoleLine() : IConsoleLine
- ICUVisualRun() : ICUParagraphLayout::ICUVisualRun
- Include() : CBinaryHeapT< T >
- Increment() : SpiralTileIterator, VehiclesNearTileXY::Iterator, VehiclesOnTile::Iterator
- IncrementImplicitOrderIndex() : Vehicle
- IncrementRealOrderIndex() : Vehicle
- IncrementSize() : CargoDataEntry
- IncTypeCount() : Object
- Indent() : Rect
- Index() : CargoSpec, HouseSpec, ObjectSpec, RailTypeInfo, RoadTypeInfo
- IndustriesResolverObject() : IndustriesResolverObject
- IndustriesScopeResolver() : IndustriesScopeResolver
- IndustryNameSorter() : IndustryDirectoryWindow
- IndustryProductionSorter() : IndustryDirectoryWindow
- IndustryTileResolverObject() : IndustryTileResolverObject
- IndustryTileScopeResolver() : IndustryTileScopeResolver
- IndustryTransportedCargoSorter() : IndustryDirectoryWindow
- IndustryTypeSorter() : IndustryDirectoryWindow
- Info() : ClientNetworkContentSocketHandler, Gamelog
- IniFile() : IniFile
- IniGroup() : IniGroup
- IniItem() : IniItem
- IniLoadFile() : IniLoadFile
- Init() : BaseSettingEntry, LinkGraph, LinkGraphJob, OpenGLBackend, SettingEntry, SettingsContainer, SettingsPage
- InitialiseCrashLog() : CrashLog
- Initialize() : AI, AIInstance, BitmapTileArea, Game, GameInstance, Layouter, OrderList, ScriptInstance, ScriptScanner, SocialIntegration, Squirrel
- InitializeData() : Window
- InitializeFontCaches() : FontCache
- InitializeLayout() : Town
- InitializeLayouter() : ICUParagraphLayoutFactory
- InitializePositionSize() : Window
- InitializeViewport() : NWidgetViewport
- InitNested() : Window
- InitPosition() : SpiralTileIterator
- InitShaders() : OpenGLBackend
- InitThread() : CrashLog
- InPlaceReplacement() : InPlaceReplacement
- InputLoop() : VideoDriver, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_SDL_Base, VideoDriver_Win32Base
- insert() : FlatSet< Tkey, Tcompare >
- Insert() : Kdtree< T, TxyFunc, CoordT, DistT >, LRUCache< Tkey, Tdata, Thash, Tequality >, MultiMap< Tkey, Tvalue, Tcompare >, NewGRFClass< Tspec, Tindex, Tmax >
- InsertChar() : Textbuf
- InsertClipboard() : Textbuf
- InsertClosedNode() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- InsertDefaults() : NewGRFClass< Tspec, Tindex, Tmax >
- InsertEvent() : ScriptInstance
- InsertOpenNode() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- InsertOrderAt() : OrderList
- InsertOrRetrieve() : CargoDataEntry
- InsertRecursive() : Kdtree< T, TxyFunc, CoordT, DistT >
- InsertString() : Textbuf
- InsertTextString() : IConsoleWindow, Window
- InShutdown() : ScriptInstance
- InternalClearCursorCache() : OpenGLBackend
- InternalDoAfter() : CommandHelperBase
- InternalDoBefore() : CommandHelperBase
- InternalExecutePrepTest() : CommandHelperBase
- InternalExecuteProcessResult() : CommandHelperBase
- InternalExecuteValidateTestAndPrepExec() : CommandHelperBase
- InternalPostBefore() : CommandHelperBase
- InternalPostResult() : CommandHelperBase
- Intersects() : OrthogonalTileArea
- IntervalTimer() : IntervalTimer< TTimerType >
- Invalidate() : FlowStat
- InvalidateAllFrom() : CargoPacket
- InvalidateCache() : CargoList< Tinst, Tcont >, VehicleCargoList
- InvalidateData() : Window
- InvalidateDimensionCache() : NWidgetLeaf
- InvalidateFileList() : ConsoleFileList
- InvalidateNewGRFCache() : Vehicle
- InvalidateNewGRFCacheOfChain() : Vehicle
- InvalidateStoryPageElementLayout() : StoryBookWindow
- Is32BppSupported() : Blitter, OpenGLBackend, SpriteEncoder
- IsActive() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- IsAlive() : ScriptInstance
- IsAllowed() : NetworkAuthenticationAuthorizedKeyHandler, NetworkAuthenticationDefaultAuthorizedKeyHandler
- IsAnyStationTileReserved() : CYapfCostRailT< Types >
- IsArticulatedPart() : Vehicle
- IsAutoRefit() : Order
- IsAvailable() : AirportSpec, ObjectSpec
- IsAwarded() : Subsidy
- IsBetter() : CapacityAnnotation, DistanceAnnotation
- IsBoolSetting() : BoolSettingDesc, IntSettingDesc
- IsBuiltInFont() : CoreTextFontCache, FontCache, FreeTypeFontCache, MockFontCache, SpriteFontCache, TrueTypeFontCache
- IsBus() : RoadVehicle
- IsButton() : NWidgetToolbarContainer
- IsCancelled() : ClientNetworkContentSocketHandler, HTTPCallback, NetworkSurveyHandler
- IsCargoAccepted() : Industry
- IsCargoProduced() : Industry
- IsChainInDepot() : GroundVehicle< T, Type >, Vehicle
- IsCompatible() : GRFConfig
- IsCompletelyTimetabled() : Order
- IsCompleteTimetable() : OrderList
- IsConnected() : ClientNetworkGameSocketHandler, NetworkTCPSocketHandler
- IsConnectInProgress() : NetworkError
- IsConnectionReset() : NetworkError
- IsCritical() : ErrmsgWindow
- IsCustomPlaylist() : MusicSystem
- IsDead() : ScriptDebugWindow, ScriptInstance
- IsDefaultValue() : IntSettingDesc, ListSettingDesc, NullSettingDesc, SettingDesc, StringSettingDesc
- IsDescSortOrder() : GUIList< T, P, F >
- IsDeveloperOnly() : GameInfo, ScriptInfo
- IsDisabled() : NWidgetCore
- IsDraggingDiagonal() : TileHighlightData
- IsDriveThroughRoadStopContinuation() : RoadStop
- IsEditable() : AIConfigWindow, GSConfigWindow, SettingDesc
- IsEmpty() : CBinaryHeapT< T >, NWidgetContainer, SmallSet< Tdir, items >, StringFilter
- IsEnabled() : Engine, ObjectSpec
- IsEnd() : ByteBuffer, SpiralTileIterator
- IsEngine() : GroundVehicle< T, Type >
- IsEngineCountable() : Vehicle
- IsEntranceBusy() : RoadStop
- IsEverAvailable() : ObjectSpec
- IsExpected() : SpecializedStation< T, Tis_waypoint >
- IsFamily() : NetworkAddress
- IsFiltered() : BaseSettingEntry
- IsFilterEnabled() : GUIList< T, P, F >
- IsFirstPageSelected() : StoryBookWindow
- IsFreeBay() : RoadStop
- IsFreeWagon() : GroundVehicle< T, Type >
- IsFrontEngine() : Vehicle
- IsFull() : SmallSet< Tdir, items >
- IsFullLoadOrder() : Order
- IsGotoOrder() : Order
- IsGroundVehicle() : Engine, Vehicle
- IsHidden() : Engine
- IsHighlighted() : NWidgetCore
- IsHumanID() : Company
- IsIn() : SmallSet< Tdir, items >
- IsInDepot() : Aircraft, RoadVehicle, Ship, Train, Vehicle
- IsInitialized() : Map
- IsInNetmask() : NetworkAddress
- IsInspectable() : NIHAirport, NIHAirportTile, NIHelper, NIHHouse, NIHIndustry, NIHIndustryTile, NIHObject, NIHRailType, NIHRoadStop, NIHRoadType< TRoadTramType >, NIHStation, NIHTown, NIHVehicle
- IsIntSetting() : IntSettingDesc, SettingDesc
- IsInUse() : BaseStation
- IsJobAborted() : LinkGraphJob
- IsJobCompleted() : LinkGraphJob
- IsJoinWithUnfinishedJobDue() : LinkGraphSchedule
- IsLastPageSelected() : StoryBookWindow
- IsLeapYear() : TimerGame< T >
- IsLinkVisible() : LinkGraphOverlay
- IsLowered() : NWidgetCore
- IsMultiheaded() : GroundVehicle< T, Type >
- IsNewGRFInspectable() : IndustryViewWindow, LandInfoWindow, VehicleViewWindow, Window
- IsNormalAircraft() : Aircraft
- IsOfType() : Depot, Waypoint
- IsOrderListShared() : Vehicle
- IsParentSprite() : DrawTileSeqStruct
- IsPaused() : AI, Game, ScriptInstance
- IsPlaying() : MusicSystem
- IsPointVisible() : LinkGraphOverlay
- IsPreferredShipDirection() : CYapfCostShipT< Types >
- IsPrimaryVehicle() : Aircraft, RoadVehicle, Ship, Train, Vehicle
- IsProcessingIndustry() : IndustrySpec
- IsQueueEmpty() : HTTPThreadSafeCallback
- IsRawIndustry() : IndustrySpec
- IsRearDualheaded() : GroundVehicle< T, Type >
- IsReasonablyFinished() : LanguagePackHeader
- IsRefit() : Order
- IsResolved() : NetworkAddress
- IsSameValue() : IntSettingDesc, ListSettingDesc, NullSettingDesc, SettingDesc, StringSettingDesc
- IsScheduledToBeJoined() : LinkGraphJob
- IsSelected() : ContentInfo
- IsShaded() : Window
- IsShared() : OrderList
- IsShuffle() : MusicSystem
- IsSingleTile() : Waypoint
- IsSleeping() : ScriptInstance
- IsSongPlaying() : MusicDriver, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_FluidSynth, MusicDriver_Null, MusicDriver_Win32
- IsSortable() : GUIList< T, P, F >
- IsStoppedInDepot() : Vehicle
- IsStringSetting() : SettingDesc, StringSettingDesc
- IsSuspended() : Squirrel
- IsTopLevel() : RecursiveCommandCounter
- IsTravelTimetabled() : Order
- IsType() : Order
- IsTypeAvailable() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- IsUIAvailable() : NewGRFClass< Tspec, Tindex, Tmax >
- IsUnbalanced() : Kdtree< T, TxyFunc, CoordT, DistT >
- IsUsable() : BlitterFactory, FBlitter_40bppAnim
- IsValid() : Backup< T >, BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >, ByteBuffer, CargoSpec, ContentInfo, FaceVar, LanguagePackHeader, VehicleSpriteSeq
- IsValidAiID() : Company
- IsValidDebugCompany() : ScriptDebugWindow
- IsValidHumanID() : Company
- IsValidID() : Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >, Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >, SpecializedStation< T, Tis_waypoint >, SpecializedVehicle< T, Type >
- IsValidSpriteSet() : GrfProcessingState
- IsVariantHidden() : Engine
- IsVehicleServiceIntervalEnabled() : VehicleDetailsWindow
- IsVertical() : Scrollbar
- IsVisible() : BaseSettingEntry, Scrollbar, SettingsContainer, SettingsPage
- IsVisibleByRestrictionMode() : SettingEntry
- IsWagon() : GroundVehicle< T, Type >
- IsWaitingForUnbunching() : Vehicle
- IsWaitTimetabled() : Order
- IsWidgetDisabled() : Window
- IsWidgetFocused() : Window
- IsWidgetGloballyFocused() : Window
- IsWidgetHighlighted() : Window
- IsWidgetLowered() : Window
- IsWithinMapBounds() : AirportSpec
- ItemAt() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- Items() : SmallSet< Tdir, items >
- Iterate() : CargoSpec, Map, Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >, SpecializedStation< T, Tis_waypoint >, SpecializedVehicle< T, Type >
- IterateActive() : ServerNetworkAdminSocketHandler
- IterateType() : Engine
- Iterator() : VehiclesNearTileXY::Iterator, VehiclesOnTile::Iterator